## xen 4.1.3

=== xen/Makefile ===
# This is the correct place to edit the build version.
# All other places this is stored (eg. compile.h) should be autogenerated.
export XEN_VERSION       = 4
export XEN_SUBVERSION    = 1
export XEN_EXTRAVERSION ?= .3$(XEN_VENDORVERSION)
export XEN_FULLVERSION   = $(XEN_VERSION).$(XEN_SUBVERSION)$(XEN_EXTRAVERSION)
-include xen-version

export XEN_WHOAMI	?= $(USER)
export XEN_DOMAIN	?= $(shell ([ -x /bin/dnsdomainname ] && /bin/dnsdomainname) || ([ -x /bin/domainname ] && /bin/domainname || echo [unknown]))

export BASEDIR := $(CURDIR)
export XEN_ROOT := $(BASEDIR)/..

.PHONY: default
default: build

.PHONY: dist
dist: install

.PHONY: build install clean distclean cscope TAGS tags MAP
build install debug clean distclean cscope TAGS tags MAP::
	$(MAKE) -f Rules.mk _$@

.PHONY: _build
_build: $(TARGET).gz

.PHONY: _install
_install: $(TARGET).gz
	[ -d $(DESTDIR)/boot ] || $(INSTALL_DIR) $(DESTDIR)/boot
	$(INSTALL_DATA) $(TARGET).gz $(DESTDIR)/boot/$(notdir $(TARGET))-$(XEN_FULLVERSION).gz
	ln -f -s $(notdir $(TARGET))-$(XEN_FULLVERSION).gz $(DESTDIR)/boot/$(notdir $(TARGET))-$(XEN_VERSION).$(XEN_SUBVERSION).gz
	ln -f -s $(notdir $(TARGET))-$(XEN_FULLVERSION).gz $(DESTDIR)/boot/$(notdir $(TARGET))-$(XEN_VERSION).gz
	ln -f -s $(notdir $(TARGET))-$(XEN_FULLVERSION).gz $(DESTDIR)/boot/$(notdir $(TARGET)).gz
	$(INSTALL_DATA) $(TARGET)-syms $(DESTDIR)/boot/$(notdir $(TARGET))-syms-$(XEN_FULLVERSION)

.PHONY: _debug
_debug:
	objdump -D -S $(TARGET)-syms > $(TARGET).s

.PHONY: _clean
_clean: delete-unfresh-files
	$(MAKE) -C tools clean
	$(MAKE) -f $(BASEDIR)/Rules.mk -C include clean
	$(MAKE) -f $(BASEDIR)/Rules.mk -C common clean
	$(MAKE) -f $(BASEDIR)/Rules.mk -C drivers clean
	$(MAKE) -f $(BASEDIR)/Rules.mk -C xsm clean
	$(MAKE) -f $(BASEDIR)/Rules.mk -C crypto clean
	$(MAKE) -f $(BASEDIR)/Rules.mk -C arch/$(TARGET_ARCH) clean
	rm -f include/asm *.o $(TARGET)* *~ core
	rm -f include/asm-*/asm-offsets.h
	[ -d tools/figlet ] && rm -f .banner*

.PHONY: _distclean
_distclean: clean
	rm -f tags TAGS cscope.files cscope.in.out cscope.out cscope.po.out

$(TARGET).gz: $(TARGET)
	gzip -f -9 < $< > $@.new
	mv $@.new $@

$(TARGET): delete-unfresh-files
	$(MAKE) -C tools
	$(MAKE) -f $(BASEDIR)/Rules.mk include/xen/compile.h
	[ -e include/asm ] || ln -sf asm-$(TARGET_ARCH) include/asm
	$(MAKE) -f $(BASEDIR)/Rules.mk -C include
	$(MAKE) -f $(BASEDIR)/Rules.mk -C arch/$(TARGET_ARCH) asm-offsets.s
	$(MAKE) -f $(BASEDIR)/Rules.mk include/asm-$(TARGET_ARCH)/asm-offsets.h
	$(MAKE) -f $(BASEDIR)/Rules.mk -C arch/$(TARGET_ARCH) $(TARGET)

# drivers/char/console.o contains static banner/compile info. Blow it away.
# Don't refresh these files during e.g., 'sudo make install'
.PHONY: delete-unfresh-files
delete-unfresh-files:
	@if [ ! -r include/xen/compile.h -o -O include/xen/compile.h ]; then \
		rm -f include/xen/compile.h; \
	fi

.banner: Makefile
	$(MAKE) -C tools
	@tools/figlet/figlet -d tools/figlet Xen $(XEN_FULLVERSION) 2>$@2 >$@1
	@cat $@1 $@2 >$@
	@rm -f $@1 $@2

# compile.h contains dynamic build info. Rebuilt on every 'make' invocation.
include/xen/compile.h: include/xen/compile.h.in .banner
	@sed -e 's/@@date@@/$(shell LC_ALL=C date)/g' \
	    -e 's/@@time@@/$(shell LC_ALL=C date +%T)/g' \
	    -e 's/@@whoami@@/$(XEN_WHOAMI)/g' \
	    -e 's/@@domain@@/$(XEN_DOMAIN)/g' \
	    -e 's/@@hostname@@/$(shell hostname)/g' \
	    -e 's!@@compiler@@!$(shell $(CC) $(CFLAGS) -v 2>&1 | tail -1)!g' \
	    -e 's/@@version@@/$(XEN_VERSION)/g' \
	    -e 's/@@subversion@@/$(XEN_SUBVERSION)/g' \
	    -e 's/@@extraversion@@/$(XEN_EXTRAVERSION)/g' \
	    -e 's!@@changeset@@!$(shell ((hg parents --template "{date|date} {rev}:{node|short}" >/dev/null && hg parents --template "{date|date} {rev}:{node|short}") || echo "unavailable") 2>/dev/null)!g' \
	    < include/xen/compile.h.in > $@.new
	@grep \" .banner >> $@.new
	@grep -v \" .banner
	@mv -f $@.new $@

include/asm-$(TARGET_ARCH)/asm-offsets.h: arch/$(TARGET_ARCH)/asm-offsets.s
	@(set -e; \
	  echo "/*"; \
	  echo " * DO NOT MODIFY."; \
	  echo " *"; \
	  echo " * This file was auto-generated from $<"; \
	  echo " *"; \
	  echo " */"; \
	  echo ""; \
	  echo "#ifndef __ASM_OFFSETS_H__"; \
	  echo "#define __ASM_OFFSETS_H__"; \
	  echo ""; \
	  sed -ne "/^->/{s:^->\([^ ]*\) [\$$#]*\([^ ]*\) \(.*\):#define \1 \2 /* \3 */:; s:->::; p;}"; \
	  echo ""; \
	  echo "#endif") <$< >$@

SUBDIRS = xsm arch/$(TARGET_ARCH) common drivers
define all_sources
    ( find include/asm-$(TARGET_ARCH) -name '*.h' -print; \
      find include -name 'asm-*' -prune -o -name '*.h' -print; \
      find $(SUBDIRS) -name '*.[chS]' -print )
endef

define set_exuberant_flags
    exuberant_flags=`$1 --version 2>/dev/null | (grep -iq exuberant && \
	echo "-I __initdata,__exitdata,__acquires,__releases \
	    -I EXPORT_SYMBOL,EXPORT_SYMBOL_GPL \
	    --extra=+f --c-kinds=+px") || true` 
endef

.PHONY: _TAGS
_TAGS: 
	set -e; rm -f TAGS; \
	$(call set_exuberant_flags,etags); \
	$(all_sources) | xargs etags $$exuberant_flags -a

.PHONY: _tags
_tags: 
	set -e; rm -f tags; \
	$(call set_exuberant_flags,ctags); \
	$(all_sources) | xargs ctags $$exuberant_flags -a

.PHONY: _cscope
_cscope:
	$(all_sources) > cscope.files
	cscope -k -b -q

.PHONY: _MAP
_MAP:
	$(NM) -n $(TARGET)-syms | grep -v '\(compiled\)\|\(\.o$$\)\|\( [aUw] \)\|\(\.\.ng$$\)\|\(LASH[RL]DI\)' > System.map

.PHONY: FORCE
FORCE:

%.o %.i: %.c FORCE
	$(MAKE) -f $(BASEDIR)/Rules.mk -C $(*D) $(@F)

%.o %.s: %.S FORCE
	$(MAKE) -f $(BASEDIR)/Rules.mk -C $(*D) $(@F)

%/: FORCE
	$(MAKE) -f $(BASEDIR)/Rules.mk -C $* built_in.o

=== debian/changelog ===
xen (4.1.3-3ubuntu1) quantal; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - libxenstore3.0: Conflict and replaces libxen3.
    - libxen-dev: Conflict and replaces libxen3-dev.
    - xenstore-utils: Conflict and replaces libxen3.
    - xen-utils-4.1: Conflict and replaces libxen3, python-xen-3.3,
      and xen-utils-4.1.
    - Change depend back to ipxe as we do not have ipxe-qemu.
    - etherboot: Change the config back to include the 8086100e.rom
    - Dropped:
      - Make sure the LDFLAGS value passed is suitable for use by ld
        rather than gcc. Right now there seem to be no LDFLAGS passed.
  * Backported AMD specific improvements from upstream Xen (LP: #1009098):
    - svm: Do not intercept RDTSC(P) when TSC scaling is supported by hardware
    - x86: Use deep C states for off-lined CPUs
    - x86/AMD: Add support for AMD's OSVW feature in guests.
    - hvm: vpmu: Enable HVM VPMU for AMD Family 12h and 14h processors

 -- Stefan Bader <stefan.bader@canonical.com>  Thu, 27 Sep 2012 21:27:44 +0200

xen (4.1.3-3) unstable; urgency=low

  * Xen domain init script:
    - Make sure Open vSwitch is started before any domain.
    - Properly handle and show output of failed migration and save.
    - Ask all domains to shut down before checking them.

 -- Bastian Blank <waldi@debian.org>  Tue, 18 Sep 2012 13:26:32 +0200

xen (4.1.3-2) unstable; urgency=medium

  * Don't allow writing reserved bits in debug register.
    CVE-2012-3494
  * Fix error handling in interrupt assignment.
    CVE-2012-3495
  * Don't trigger bug messages on invalid flags.
    CVE-2012-3496
  * Check array bounds in interrupt assignment.
    CVE-2012-3498
  * Properly check bounds while setting the cursor in qemu.
    CVE-2012-3515
  * Disable monitor in qemu by default.
    CVE-2012-4411

 -- Bastian Blank <waldi@debian.org>  Fri, 07 Sep 2012 19:41:46 +0200

xen (4.1.3-1) unstable; urgency=medium

  * New upstream release: (closes: #683286)
    - Don't leave the x86 emulation in a bad state. (closes: #683279)
      CVE-2012-3432
    - Only check for shared pages while any exist on teardown.
      CVE-2012-3433
    - Fix error handling for unexpected conditions.
    - Update CPUID masking to latest Intel spec.
    - Allow large ACPI ids.
    - Fix IOMMU support for PCI-to-PCIe bridges.
    - Disallow access to some sensitive IO-ports.
    - Fix wrong address in IOTLB.
    - Fix deadlock on CPUs without working cpufreq driver.
    - Use uncached disk access in qemu.
    - Fix buffer size on emulated e1000 device in qemu.
  * Fixup broken and remove applied patches.

 -- Bastian Blank <waldi@debian.org>  Fri, 17 Aug 2012 11:25:02 +0200

xen (4.1.3~rc1+hg-20120614.a9c0a89c08f2-5) unstable; urgency=low

  [ Ian Campbell ]
  * Set tap device MAC addresses to fe:ff:ff:ff:ff:ff (Closes: #671018)
  * Only run xendomains initscript if toolstack is xl or xm (Closes: #680528)

  [ Bastian Blank ]
  * Actually build-depend on new enough version of dpkg-dev.
  * Add xen-sytem-* meta-packages. We are finally in a position to do
    automatic upgrades and this package is missing. (closes: #681376)

 -- Bastian Blank <waldi@debian.org>  Sat, 28 Jul 2012 10:23:26 +0200

xen (4.1.3~rc1+hg-20120614.a9c0a89c08f2-4ubuntu1) quantal; urgency=low

  [ Ubuntu Merge-o-Matic ]
  * Merge from Debian unstable.  Remaining changes:
      - Thanks to Stefan Bader.
      - libxenstore3.0: Conflict and replaces libxen3.
      - libxen-dev: Conflict and replaces libxen3-dev.
      - xenstore-utils: Conflict and replaces libxen3.
      - xen-utils-4.1: Conflict and replaces libxen3, python-xen-3.3,
        and xen-utils-4.1.
      - Change depend back to ipxe as we do not have ipxe-qemu.
      - etherboot: Change the config back to include the 8086100e.rom
      - Dropped:
        - Make sure the LDFLAGS value passed is suitable for use by ld
          rather than gcc. Right now there seem to be no LDFLAGS passed.


 -- Chuck Short <zulcss@ubuntu.com>  Tue, 03 Jul 2012 08:43:03 -0400

xen (4.1.3~rc1+hg-20120614.a9c0a89c08f2-4) unstable; urgency=low

  * Add Build-Using info to xen-utils package.
  * Fix build-arch target.

 -- Bastian Blank <waldi@debian.org>  Sun, 01 Jul 2012 19:52:30 +0200

xen (4.1.3~rc1+hg-20120614.a9c0a89c08f2-3) unstable; urgency=low

  * Remove /usr/lib/xen-default. It breaks systems if xenstored is not
    compatible.
  * Fix init script usage.
  * Fix udev rules for emulated network devices:
    - Force names of emulated network devices to a predictable name.

 -- Bastian Blank <waldi@debian.org>  Sun, 01 Jul 2012 16:59:04 +0200

xen (4.1.3~rc1+hg-20120614.a9c0a89c08f2-2) unstable; urgency=low

  * Fix pointer missmatch in interrupt functions. Fixes build on i386.

 -- Bastian Blank <waldi@debian.org>  Fri, 15 Jun 2012 18:00:51 +0200

xen (4.1.3~rc1+hg-20120614.a9c0a89c08f2-1) unstable; urgency=low

  * New upstream snapshot.
    - Fix privilege escalation and syscall/sysenter DoS while using
      non-canonical addresses by untrusted PV guests. (closes: #677221)
      CVE-2012-0217
      CVE-2012-0218
    - Disable Xen on CPUs affected by AMD Erratum #121. PV guests can
      cause a DoS of the host.
      CVE-2012-2934
  * Don't fail if standard toolstacks are not available. (closes: #677244)

 -- Bastian Blank <waldi@debian.org>  Thu, 14 Jun 2012 17:06:25 +0200

xen (4.1.2-7) unstable; urgency=low

  * Really use ucf.
  * Update init script dependencies:
    - Start $syslog before xen.
    - Start drbd and iscsi before xendomains. (closes: #626356)
    - Start corosync and heartbeat after xendomains.
  * Remove /var/log/xen on purge. (closes: #656216)

 -- Bastian Blank <waldi@debian.org>  Tue, 22 May 2012 10:44:41 +0200

xen (4.1.2-6) unstable; urgency=low

  * Fix generation of architectures for hypervisor packages.
  * Remove information about loop devices, it is incorrect. (closes: #503044)
  * Update xendomains init script:


=== debian/control ===
Source: xen
Section: kernel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Xen Team <pkg-xen-devel@lists.alioth.debian.org>
Uploaders: Guido Trotter <ultrotter@debian.org>, Bastian Blank <waldi@debian.org>
Standards-Version: 3.9.2
Build-Depends: debhelper (>> 7), dpkg-dev (>= 1.16.0~), lsb-release, python-dev, bcc, gcc-multilib, e2fslibs-dev, iasl, ipxe, libaio-dev, libgnutls-dev, liblzma-dev, libncurses5-dev, libpci-dev, pkg-config, uuid-dev, zlib1g-dev, ocaml-nox, dh-ocaml, ocaml-findlib
Build-Depends-Indep: graphviz, ghostscript, texlive-fonts-recommended, texlive-font-utils, texlive-latex-recommended
XS-Python-Version: current

Package: xen-docs-4.1
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Documentation for Xen
 This package contains all the large documentation files for Xen.  This
 includes a description interface (both the API, and a nice explanation of
 how XEN works).

Package: libxen-4.1
Architecture: amd64 i386
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Public libs for Xen
 This package contains the shared libraries for Xen.

Package: libxenstore3.0
Architecture: amd64 i386
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libxen3 (<= 3.3.0-1ubuntu12)
Conflicts: libxen3 (<= 3.3.0-1ubuntu12)
Description: Xenstore communications library for Xen
 This package contains the public libxenstore.

Package: libxen-dev
Architecture: amd64 i386
Section: libdevel
Depends: libxen-4.1 (= ${binary:Version}), libxenstore3.0 (= ${binary:Version}), ${misc:Depends}
Replaces: libxen3-dev (<= 3.3.0-1ubuntu12)
Conflicts: libxen3-dev (<= 3.3.0-1ubuntu12)
Description: Public headers and libs for Xen
 This package contains the public headers and static libraries for Xen.

Package: xenstore-utils
Architecture: amd64 i386
Section: admin
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: xen-utils-common (<= 3.1.0-1), libxen3 (<= 3.3.0-1ubuntu12)
Conflicts: xen-utils-common (<= 3.1.0-1), libxen3 (<= 3.3.0-1ubuntu12)
Description: Xenstore utilities for Xen
 This package contains the Xenstore utilities.

Package: libxen-ocaml
Architecture: amd64 i386
Section: ocaml
Provides: ${ocaml:Provides}
Depends: ${shlibs:Depends}, ${misc:Depends}, ${ocaml:Depends}
Description: OCaml libraries for controlling Xen
 This package contains the runtime libraries required for the ocaml
 bindings to the Xen control libraries.

Package: libxen-ocaml-dev
Architecture: amd64 i386
Section: ocaml
Provides: ${ocaml:Provides}
Depends: libxen-ocaml (= ${binary:Version}), libxen-dev (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, ${ocaml:Depends}
Description: OCaml libraries for controlling Xen (devel package)
 This package contains the ocaml findlib packages for compiling
 applications that are designed to control the Xen hypervisor.

Package: xen-utils-common
Architecture: all
Depends: gawk, lsb-base, python, udev, xenstore-utils, ${misc:Depends}
Description: Xen administrative tools - common files
 The userspace tools to manage a system virtualized through the Xen virtual
 machine monitor.

Package: xen-utils-4.1
Architecture: amd64 i386
Provides: xen-utils
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, xen-utils-common (>= ${source:Version})
Recommends: bridge-utils, libc6-xen [i386], xen-hypervisor-4.1, qemu-keymaps, qemu-utils
Suggests: xen-docs-4.1
Replaces: xen-utils-3.3 (<= 3.3.0-1ubuntu12), libxen3 (<= 3.3.0-1ubuntu12), python-xen-3.3 (<= 3.3.0-1ubuntu12)
Conflicts: xen-utils-3.3 (<= 3.3.0-1ubuntu12), libxen3 (<= 3.3.0-1ubuntu12), python-xen-3.3 (<= 3.3.0-1ubuntu12)
Description: XEN administrative tools
 The userspace tools to manage a system virtualized through the XEN virtual
 machine monitor.
Built-Using: ${misc:Built-Using}

Package: xen-hypervisor-4.1-amd64
Architecture: amd64 i386
Provides: xen-hypervisor, xen-hypervisor-4.1, xen-hypervisor-amd64
Depends: ${misc:Depends}
Recommends: xen-utils-4.1
Suggests: xen-docs-4.1
Description: Xen Hypervisor on AMD64
 The hypervisor is the "core" for XEN itself.  It gets booted by the boot
 loader and controls cpu and memory, sharing them between your
 administrative domain (Domain 0) and the virtual guest systems.
 .
 In order to boot a XEN system along with this package you also need a
 kernel specifically crafted to work as the Domain 0, mediating hardware
 access for XEN itself.

Package: xen-system-amd64
Architecture: amd64 i386
Provides: xen-system
Depends: xen-hypervisor-4.1-amd64, xen-utils-4.1, ${misc:Depends}
Description: Xen System on AMD64 (meta-package)
 This package depends on the latest Xen hypervisor for use on AMD64 and the
 Xen utils.

Package: xen-hypervisor-4.1-i386
Architecture: i386
Provides: xen-hypervisor, xen-hypervisor-4.1, xen-hypervisor-i386
Depends: ${misc:Depends}
Recommends: xen-utils-4.1
Suggests: xen-docs-4.1
Description: Xen Hypervisor on i386
 The hypervisor is the "core" for XEN itself.  It gets booted by the boot
 loader and controls cpu and memory, sharing them between your
 administrative domain (Domain 0) and the virtual guest systems.
 .
 In order to boot a XEN system along with this package you also need a
 kernel specifically crafted to work as the Domain 0, mediating hardware
 access for XEN itself.

Package: xen-system-i386
Architecture: i386
Provides: xen-system
Depends: xen-hypervisor-4.1-i386, xen-utils-4.1, ${misc:Depends}
Description: Xen System on i386 (meta-package)
 This package depends on the latest Xen hypervisor for use on i386 and the
 Xen utils.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Ubuntu passes a default LDFLAGS value of -Wl,-Bsymbolic-functions
# Xen passed LDFLAGS directly to ld (not through gcc), so this fails.
# We should update this if the default LDFLAGS is changed.
LDFLAGS = -Bsymbolic-functions

DEB_HOST_ARCH  := $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_BUILD_ARCH := $(shell dpkg-architecture -qDEB_BUILD_ARCH)

SOURCE := $(shell dpkg-parsechangelog | sed -ne 's,^Source: *\(.*\)$$,\1,p')
VERSION := $(shell dpkg-parsechangelog | sed -ne 's,^Version: *\(.*\)$$,\1,p')
VERSION_UPSTREAM := $(shell echo "$(VERSION)" | sed -e 's,-[^-]*$$,,')
VERSION_BINNMU := $(shell echo "$(VERSION)" | sed -ne 's,.*\+b\(.*\)$$,\1,p')

stamp = [ -d $(dir $@) ] || mkdir $(dir $@); touch $@

include debian/rules.defs

setup: debian/control $(STAMPS_DIR)/setup-base
$(STAMPS_DIR)/setup-base:
	dh_testdir
	$(MAKE) -f debian/rules.gen setup_$(DEB_HOST_ARCH)
	@$(stamp)

build: debian/control $(STAMPS_DIR)/build-base
$(STAMPS_DIR)/build-base: $(STAMPS_DIR)/setup-base
	dh_testdir
	$(MAKE) -f debian/rules.gen build-arch_$(DEB_HOST_ARCH)
	@$(stamp)

maintainerclean:
	rm -f debian/control* debian/rules.gen debian/xen-hypervisor-* debian/xen-utils-[0-9]*
	rm -rf $(filter-out .svn debian, $(wildcard * .[^.]*))

clean: debian/control
	dh_testdir
	rm -rf $(BUILD_DIR) $(STAMPS_DIR) debian/lib/python/debian_xen/*.pyc
	dh_clean

binary-indep:
	dh_testdir
	$(MAKE) -f debian/rules.gen binary-indep

binary-arch:
	dh_testdir
	$(MAKE) -f debian/rules.gen binary-arch_$(DEB_HOST_ARCH)

binary:	binary-indep binary-arch

DIR_ORIG = ../orig/$(SOURCE)-$(VERSION_UPSTREAM)
TAR_ORIG_MAIN_NAME = $(SOURCE)_$(VERSION_UPSTREAM).orig.tar.gz
TAR_ORIG_MAIN = $(firstword $(wildcard ../$(TAR_ORIG_MAIN_NAME)) $(wildcard ../orig/$(TAR_ORIG_MAIN_NAME)))
TAR_ORIG_QEMU_NAME = $(SOURCE)_$(VERSION_UPSTREAM).orig-qemu.tar.gz
TAR_ORIG_QEMU = $(firstword $(wildcard ../$(TAR_ORIG_QEMU_NAME)) $(wildcard ../orig/$(TAR_ORIG_QEMU_NAME)))

orig: $(DIR_ORIG)
	rsync --delete --exclude debian --exclude .svk --exclude .svn -a $(DIR_ORIG)/ .

$(DIR_ORIG):
ifeq ($(TAR_ORIG_MAIN),)
	$(error Cannot find main orig tarball $(TAR_ORIG_MAIN_NAME))
else
	mkdir -p ../orig
	tar -C ../orig -xzf $(TAR_ORIG_MAIN)
endif
ifeq ($(TAR_ORIG_QEMU),)
	$(warning Cannot find qemu orig tarball $(TAR_ORIG_QEMU_NAME))
else
	tar -C $@ -xzf $(TAR_ORIG_QEMU)
endif

CONTROL_FILES += debian/changelog debian/bin/gencontrol.py $(wildcard debian/templates/*.in) 
CONTROL_FILES += $(wildcard debian/arch/defines) $(wildcard debian/arch/*/defines)
GENCONTROL = $(__MODULES_DIR)gencontrol.py
debian/control debian/rules.gen: $(CONTROL_FILES)
ifeq ($(wildcard debian/control.md5sum),)
	$(MAKE) -f debian/rules debian/control-real
else ifeq ($(VERSION_BINNMU),)
	md5sum --check debian/control.md5sum --status || \
		$(MAKE) -f debian/rules debian/control-real
else
	grep -v debian/changelog debian/control.md5sum | md5sum --check - --status || \
		$(MAKE) -f debian/rules debian/control-real
endif

debian/control-real: $(CONTROL_FILES)
	debian/bin/gencontrol.py
	md5sum $^ > debian/control.md5sum
	@echo
	@echo This target is made to fail intentionally, to make sure
	@echo that it is NEVER run during the automated build. Please
	@echo ignore the following error, the debian/control file has
	@echo been generated SUCCESSFULLY.
	@echo
	exit 1

.PHONY: clean build binary-indep binary-arch binary

## xen 4.1.4

=== xen/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # All other places this is stored (eg. compile.h) should be autogenerated.
 export XEN_VERSION       = 4
 export XEN_SUBVERSION    = 1
-export XEN_EXTRAVERSION ?= .3$(XEN_VENDORVERSION)
+export XEN_EXTRAVERSION ?= .4$(XEN_VENDORVERSION)
 export XEN_FULLVERSION   = $(XEN_VERSION).$(XEN_SUBVERSION)$(XEN_EXTRAVERSION)
 -include xen-version

=== debian/changelog ===
xen (4.1.4-3+deb7u3) wheezy-security; urgency=low

  * Security upload.
  * Apply fix for Xen Security Advisory 108 (CVE-2014-7188)
  * Apply fix for Xen Security Advisory 104 (CVE-2014-7154)
  * Apply fix for Xen Security Advisory 105 (CVE-2014-7155)
  * Apply fix for Xen Security Advisory 106 (CVE-2014-7156)
  * Apply fix for Xen Security Advisory 56 (CVE-2013-2072)

 -- Guido Trotter <ultrotter@debian.org>  Mon, 29 Sep 2014 15:52:19 +0300

xen (4.1.4-3+deb7u2) wheezy-security; urgency=high

  * Security upload.
  * Apply fix for Xen Security Advisory 52 (CVE-2013-2076)
  * Apply fix for Xen Security Advisory 53 (CVE-2013-2077)
  * Apply fix for Xen Security Advisory 54 (CVE-2013-2078)
  * Apply fix for Xen Security Advisory 55
    (CVE-2013-2194, CVE-2013-2195, CVE-2013-2196)
  * Apply fix for Xen Security Advisory 57 (CVE-2013-2211)
  * Apply fix for Xen Security Advisory 58 (CVE-2013-1432)
  * Apply fix for Xen Security Advisory 61 (CVE-2013-4329)
  * Apply fix for Xen Security Advisory 62 (CVE-2013-1442)
  * Apply fix for Xen Security Advisory 63 (CVE-2013-4355)
  * Apply fix for Xen Security Advisory 66 (CVE-2013-4361)
  * Apply fix for Xen Security Advisory 67 (CVE-2013-4368)
  * Apply fix for Xen Security Advisory 73 (CVE-2013-4494)
  * Apply fix for Xen Security Advisory 74 (CVE-2013-4553)
  * Apply fix for Xen Security Advisory 88 (CVE-2014-1950)
  * Apply fix for Xen Security Advisory 89 (CVE-2014-2599)
  * Apply fix for Xen Security Advisory 92 (CVE-2014-3124)
  * Apply fix for Xen Security Advisory 100 (CVE-2014-4021)

 -- Guido Trotter <ultrotter@debian.org>  Sun, 17 Aug 2014 10:39:32 +0300

xen (4.1.4-3+deb7u1) wheezy-security; urgency=high

  * Non-maintainer upload by the Security Team.

  [ Bastian Blank ]
  * Make several long runing operations preemptible.
    CVE-2013-1918
  * Fix source validation for VT-d interrupt remapping.
    CVE-2013-1952

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 04 May 2013 10:41:13 +0200

xen (4.1.4-3) unstable; urgency=high

  * Fix return from SYSENTER.
    CVE-2013-1917
  * Fix various problems with guest interrupt handling.
    CVE-2013-1919
  * Only save pointer after access checks.
    CVE-2013-1920
  * Fix domain locking for transitive grants.
    CVE-2013-1964

 -- Bastian Blank <waldi@debian.org>  Fri, 19 Apr 2013 13:01:57 +0200

xen (4.1.4-2) unstable; urgency=low

  * Use pre-device interrupt remapping mode per default. Fix removing old
    remappings.
    CVE-2013-0153

 -- Bastian Blank <waldi@debian.org>  Wed, 06 Feb 2013 13:04:52 +0100

xen (4.1.4-1) unstable; urgency=low

  * New upstream release.
    - Disable process-context identifier support in newer CPUs for all
      domains.
    - Add workarounds for AMD errata.
    - Don't allow any non-canonical addresses.
    - Use Multiboot memory map if BIOS emulation does not provide one.
    - Fix several problems in tmem.
      CVE-2012-3497
    - Fix error handling in domain creation.
    - Adjust locking and interrupt handling during S3 resume.
    - Tighten more resource and memory range checks.
    - Reset performance counters. (closes: #698651)
    - Remove special-case for first IO-APIC.
    - Fix MSI handling for HVM domains. (closes: #695123)
    - Revert cache value of disks in HVM domains.

 -- Bastian Blank <waldi@debian.org>  Thu, 31 Jan 2013 15:44:50 +0100

xen (4.1.3-8) unstable; urgency=high

  * Fix error in VT-d interrupt remapping source validation.
    CVE-2012-5634
  * Fix buffer overflow in qemu e1000 emulation.
    CVE-2012-6075
  * Update patch, mention second CVE.
    CVE-2012-5511, CVE-2012-6333

 -- Bastian Blank <waldi@debian.org>  Sat, 19 Jan 2013 13:55:07 +0100

xen (4.1.3-7) unstable; urgency=low

  * Fix clock jump due to incorrect annotated inline assembler.
    (closes: #599161)
  * Add support for XZ compressed Linux kernels to hypervisor and userspace
    based loaders, it is needed for any Linux kernels newer then Wheezy.
    (closes: #695056)

 -- Bastian Blank <waldi@debian.org>  Tue, 11 Dec 2012 18:54:59 +0100

xen (4.1.3-6) unstable; urgency=high

  * Fix error handling in physical to machine memory mapping.
    CVE-2012-5514

 -- Bastian Blank <waldi@debian.org>  Tue, 04 Dec 2012 10:51:43 +0100

xen (4.1.3-5) unstable; urgency=high

  * Fix state corruption due to incomplete grant table switch.
    CVE-2012-5510
  * Check range of arguments to several HVM operations.
    CVE-2012-5511, CVE-2012-6333
  * Check array index before using it in HVM memory operation.
    CVE-2012-5512
  * Check memory range in memory exchange operation.
    CVE-2012-5513
  * Don't allow too large memory size and avoid busy looping.
    CVE-2012-5515

 -- Bastian Blank <waldi@debian.org>  Mon, 03 Dec 2012 19:37:38 +0100

xen (4.1.3-4) unstable; urgency=high

  * Use linux 3.2.0-4 stuff.
  * Fix overflow in timer calculations.
    CVE-2012-4535
  * Check value of physical interrupts parameter before using it.
    CVE-2012-4536
  * Error out on incorrect memory mapping updates.
    CVE-2012-4537
  * Check if toplevel page tables are present.
    CVE-2012-4538
  * Fix infinite loop in compatibility code.
    CVE-2012-4539
  * Limit maximum kernel and ramdisk size.
    CVE-2012-2625, CVE-2012-4544

 -- Bastian Blank <waldi@debian.org>  Tue, 20 Nov 2012 15:51:01 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: xen
 Section: kernel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Xen Team <pkg-xen-devel@lists.alioth.debian.org>
+Maintainer: Debian Xen Team <pkg-xen-devel@lists.alioth.debian.org>
 Uploaders: Guido Trotter <ultrotter@debian.org>, Bastian Blank <waldi@debian.org>
 Standards-Version: 3.9.2
-Build-Depends: debhelper (>> 7), dpkg-dev (>= 1.16.0~), lsb-release, python-dev, bcc, gcc-multilib, e2fslibs-dev, iasl, ipxe, libaio-dev, libgnutls-dev, liblzma-dev, libncurses5-dev, libpci-dev, pkg-config, uuid-dev, zlib1g-dev, ocaml-nox, dh-ocaml, ocaml-findlib
+Build-Depends: debhelper (>> 7), dpkg-dev (>= 1.16.0~), lsb-release, python-dev, bcc, gcc-multilib, e2fslibs-dev, iasl, ipxe-qemu, libaio-dev, libgnutls-dev, liblzma-dev, libncurses5-dev, libpci-dev, pkg-config, uuid-dev, zlib1g-dev, ocaml-nox, dh-ocaml, ocaml-findlib
 Build-Depends-Indep: graphviz, ghostscript, texlive-fonts-recommended, texlive-font-utils, texlive-latex-recommended
 XS-Python-Version: current
 
@@ -29,8 +28,6 @@
 Architecture: amd64 i386
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Replaces: libxen3 (<= 3.3.0-1ubuntu12)
-Conflicts: libxen3 (<= 3.3.0-1ubuntu12)
 Description: Xenstore communications library for Xen
  This package contains the public libxenstore.
 
@@ -38,8 +35,6 @@
 Architecture: amd64 i386
 Section: libdevel
 Depends: libxen-4.1 (= ${binary:Version}), libxenstore3.0 (= ${binary:Version}), ${misc:Depends}
-Replaces: libxen3-dev (<= 3.3.0-1ubuntu12)
-Conflicts: libxen3-dev (<= 3.3.0-1ubuntu12)
 Description: Public headers and libs for Xen
  This package contains the public headers and static libraries for Xen.
 
@@ -47,8 +42,8 @@
 Architecture: amd64 i386
 Section: admin
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Replaces: xen-utils-common (<= 3.1.0-1), libxen3 (<= 3.3.0-1ubuntu12)
-Conflicts: xen-utils-common (<= 3.1.0-1), libxen3 (<= 3.3.0-1ubuntu12)
+Replaces: xen-utils-common (<= 3.1.0-1)
+Conflicts: xen-utils-common (<= 3.1.0-1)
 Description: Xenstore utilities for Xen
  This package contains the Xenstore utilities.
 
@@ -83,8 +78,6 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, xen-utils-common (>= ${source:Version})
 Recommends: bridge-utils, libc6-xen [i386], xen-hypervisor-4.1, qemu-keymaps, qemu-utils
 Suggests: xen-docs-4.1
-Replaces: xen-utils-3.3 (<= 3.3.0-1ubuntu12), libxen3 (<= 3.3.0-1ubuntu12), python-xen-3.3 (<= 3.3.0-1ubuntu12)
-Conflicts: xen-utils-3.3 (<= 3.3.0-1ubuntu12), libxen3 (<= 3.3.0-1ubuntu12), python-xen-3.3 (<= 3.3.0-1ubuntu12)
 Description: XEN administrative tools
  The userspace tools to manage a system virtualized through the XEN virtual
  machine monitor.

=== debian/rules ===
--- 
+++ 
@@ -2,11 +2,6 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
-
-# Ubuntu passes a default LDFLAGS value of -Wl,-Bsymbolic-functions
-# Xen passed LDFLAGS directly to ld (not through gcc), so this fails.
-# We should update this if the default LDFLAGS is changed.
-LDFLAGS = -Bsymbolic-functions
 
 DEB_HOST_ARCH  := $(shell dpkg-architecture -qDEB_HOST_ARCH)
 DEB_BUILD_ARCH := $(shell dpkg-architecture -qDEB_BUILD_ARCH)

## xen 4.1.5

=== xen/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # All other places this is stored (eg. compile.h) should be autogenerated.
 export XEN_VERSION       = 4
 export XEN_SUBVERSION    = 1
-export XEN_EXTRAVERSION ?= .4$(XEN_VENDORVERSION)
+export XEN_EXTRAVERSION ?= .5$(XEN_VENDORVERSION)
 export XEN_FULLVERSION   = $(XEN_VERSION).$(XEN_SUBVERSION)$(XEN_EXTRAVERSION)
 -include xen-version

=== debian/changelog ===
xen (4.1.5-0ubuntu0.12.10.3) quantal-security; urgency=low

  * Applying Xen Security Advisories:
    - CVE-2014-1892, CVE-2014-1893 / XSA-84
      * flask: restrict allocations done by hypercall interface
    - CVE-2014-1666 / XSA-87
      * x86: PHYSDEVOP_{prepare,release}_msix are privileged
    - CVE-2014-1950 / XSA-88
      * libxc: Fix out-of-memory error handling in xc_cpupool_getinfo()

 -- Stefan Bader <stefan.bader@canonical.com>  Mon, 17 Feb 2014 16:26:55 +0100

xen (4.1.5-0ubuntu0.12.10.2) quantal-security; urgency=low

  * Applying Xen Security Advisories:
    - CVE-2013-1432 / XSA-58
      * Page reference counting error due to XSA-45/CVE-2013-1918 fixes
    - CVE-2013-4329 / XSA-61
      * libxl partially sets up HVM passthrough even with disabled iommu
    - CVE-2013-1442 / XSA-62
      * Information leak on AVX and/or LWP capable CPUs
    - CVE-2013-4355 / XSA-63
    - CVE-2013-4361 / XSA-66
      Information leak through fbld instruction emulation
    - CVE-2013-4368 / XSA-67
      * Information leak through outs instruction emulation
    - CVE-2013-4370 / XSA-69
      * misplaced free in ocaml xc_vcpu_getaffinity stub
    - CVE-2013-4416 / XSA-72
      * ocaml xenstored mishandles oversized message replies
    - CVE-2013-4494 / XSA-73
      * Lock order reversal between page allocation and grant table locks
    - CVE-2013-4553 / XSA-74
      * Lock order reversal between page_alloc_lock and mm_rwlock
    - CVE-2013-4554 / XSA-76
      * Hypercalls exposed to privilege rings 1 and 2 of HVM guests
    - CVE-2013-6885 / XSA-82
      * Guest triggerable AMD CPU erratum may cause host hang

 -- Stefan Bader <stefan.bader@canonical.com>  Mon, 09 Dec 2013 19:27:27 +0100

xen (4.1.5-0ubuntu0.12.10.1) quantal-proposed; urgency=low

  * Updating to lastest upstream stable release (LP: #1180396).
  * Update to upstream 4.1.5:
    - Replacing the following security changes by upstream versions:
      * CVE-2012-5634 / XSA-33, CVE-2013-0153 / XSA-36,
        CVE-2013-0215 / XSA-38, CVE-2012-6075 / XSA-41,
        CVE-2013-1917 / XSA-44, CVE-2013-1919 / XSA-46,
        CVE-2013-1920 / XSA-47, CVE-2013-1964 / XSA-50
    - Bug fixes:
      * ACPI APEI/ERST finally working on production systems
      * Bug fixes for other low level system state handling
      * Support for xz compressed Dom0 and DomU kernels
  * Update to upstream 4.1.4:
    - Replacing the following security changes by upstream versions:
      * CVE-2012-3494 / XSA-12, CVE-2012-3495 / XSA-13,
        CVE-2012-3496 / XSA-14, CVE-2012-3498 / XSA-16,
        CVE-2012-3515 / XSA-17, CVE-2012-4411 / XSA-19,
        CVE-2012-4535 / XSA-20, CVE-2012-4536 / XSA-21,
        CVE-2012-4537 / XSA-22, CVE-2012-4538 / XSA-23,
        CVE-2012-4539 / XSA-24, CVE-2012-4544 / XSA-25,
        CVE-2012-2625 / XSA-25, CVE-2012-5510 / XSA-26,
        CVE-2012-5511 / XSA-27, CVE-2012-5512 / XSA-28,
        CVE-2012-5513 / XSA-29, CVE-2012-5514 / XSA-30,
        CVE-2012-5515 / XSA-31
    - Bug fixes:
      * A fix for a long standing time management issue
      * Bug fixes for S3 (suspend to RAM) handling
      * Bug fixes for other low level system state handling
  * Dropping the following patches previously added as they are included
    in the upstream stable release:
    - 0008-vmx-Simplify-cr0-update-handling-by-deferring-cr4-ch.patch
    - 0009-VMX-disable-SMEP-feature-when-guest-is-in-non-paging.patch
    - 0010-VMX-Always-disable-SMEP-when-guest-is-in-non-paging-.patch
  * Fix translation import problem caused by duplicate message ID
    (LP: #1176209).
    - tools-xm-fix-duplicate-msgid.patch

 -- Stefan Bader <stefan.bader@canonical.com>  Thu, 02 May 2013 13:14:43 -0700

xen (4.1.3-3ubuntu1.7) quantal-security; urgency=low

  * Applying Xen Security Advisories
    - CVE-2013-2194, CVE-2013-2195, CVE-2013-2196 / XSA55
      * libelf: abolish libelf-relocate.c
      * libxc: introduce xc_dom_seg_to_ptr_pages
      * libxc: Fix range checking in xc_dom_pfn_to_ptr etc.
      * libelf: abolish elf_sval and elf_access_signed
      * libelf/xc_dom_load_elf_symtab: Do not use "syms" uninitialised
      * libelf: introduce macros for memory access and pointer handling
      * tools/xcutils/readnotes: adjust print_l1_mfn_valid_note
      * libelf: check nul-terminated strings properly
      * libelf: check all pointer accesses
      * libelf: Check pointer references in elf_is_elfbinary
      * libelf: Make all callers call elf_check_broken
      * libelf: use C99 bool for booleans
      * libelf: use only unsigned integers
      * libxc: Introduce xc_bitops.h
      * libelf: check loops for running away
      * libelf: abolish obsolete macros
      * libxc: Add range checking to xc_dom_binloader
      * libxc: check failure of xc_dom_*_to_ptr, xc_map_foreign_range
      * libxc: check return values from malloc
      * libxc: range checks in xc_dom_p2m_host and _guest
      * libxc: check blob size before proceeding in xc_dom_check_gzip
    - CVE-XXXX-XXXX / XSA57
      * libxl: Restrict permissions on PV console device xenstore nodes

 -- Stefan Bader <stefan.bader@canonical.com>  Fri, 21 Jun 2013 14:44:27 +0200

xen (4.1.3-3ubuntu1.6) quantal-security; urgency=low

  * Applying Xen Security Advisories
    - CVE-2013-1918 / XSA-45
      * x86: make vcpu_destroy_pagetables() preemptible
      * x86: make new_guest_cr3() preemptible
      * x86: make MMUEXT_NEW_USER_BASEPTR preemptible
      * x86: make vcpu_reset() preemptible
      * x86: make arch_set_info_guest() preemptible
      * x86: make page table unpinning preemptible
      * x86: make page table handling error paths preemptible
    - CVE-2013-1952 / XSA-49
      * VT-d: don't permit SVT_NO_VERIFY entries for known device types
    - CVE-2013-1964 / XSA-50
      * Fix rcu domain locking for transitive grants
    - CVE-2013-2076 / XSA-52
      * x86/xsave: fix information leak on AMD CPUs
    - CVE-2013-2077 / XSA-53
      * x86/xsave: recover from faults on XRSTOR


## xen 4.1.6.1

=== debian/changelog ===
xen (4.1.6.1-0ubuntu0.12.04.4) precise-security; urgency=low

  * Applying Xen Security Advisories:
    - CVE-2014-8594 / XSA-109
      * x86: don't allow page table updates on non-PV page tables in
        do_mmu_update()
    - CVE-2014-8595 / XSA-110
      * x86emul: enforce privilege level restrictions when loading CS
    - CVE-2014-8866 / XSA-111
      * x86: limit checks in hypercall_xlat_continuation() to actual arguments
    - CVE-2014-8867 / XSA-112
      * x86/HVM: confine internally handled MMIO to solitary regions
    - CVE-2014-9030 / XSA-113
      * x86/mm: fix a reference counting error in MMU_MACHPHYS_UPDATE

 -- Stefan Bader <stefan.bader@canonical.com>  Fri, 21 Nov 2014 15:29:19 +0100

xen (4.1.6.1-0ubuntu0.12.04.3) precise-security; urgency=low

  * Applying Xen Security Advisories:
    - CVE-2014-7154 / XSA-104
      * x86/shadow: fix race condition sampling the dirty vram state
    - CVE-2014-7155 / XSA-105
      * x86/emulate: check cpl for all privileged instructions
    - CVE-2014-7156 / XSA-106
      * x86emul: only emulate software interrupt injection for real mode
    - CVE-2014-7188 / XSA-108
      * x86/HVM: properly bound x2APIC MSR range

 -- Stefan Bader <stefan.bader@canonical.com>  Mon, 29 Sep 2014 20:00:39 +0200

xen (4.1.6.1-0ubuntu0.12.04.2) precise-security; urgency=low

  * Applying Xen Security Advisories:
    - CVE-2013-2599 / XSA-89
      * x86: enforce preemption in HVM_set_mem_access / p2m_set_mem_access()
    - CVE-2014-3124 / XSA-92
      * x86/HVM: restrict HVMOP_set_mem_type
    - CVE-2014-4021 / XSA-100
      * page-alloc: scrub pages used by hypervisor upon freeing

 -- Stefan Bader <stefan.bader@canonical.com>  Tue, 29 Jul 2014 15:05:23 +0200

xen (4.1.6.1-0ubuntu0.12.04.1) precise-proposed; urgency=low

  * Updating to lastest upstream stable release (LP: #1293993).
  * Update to upstream 4.1.6.1 (4.1.6 failed to build and was skipped):
    - Replacing the following security changes by upstream versions:
      * CVE-2013-1918 / XSA-45, CVE-2013-1952 / XSA-49,
        CVE-2013-2076 / XSA-52, CVE-2013-2077 / XSA-53,
        CVE-2013-2078 / XSA-54, CVE-2013-2194, CVE-2013-2195,
        CVE-2013-2196 / XSA-55, CVE-2013-2072 / XSA-56,
        CVE-2013-2211 / XSA-57, CVE-2013-1432 / XSA-58,
        XSA-61
    - Bug fixes:
      * addressing a regression from the fix for XSA-21
      * addressing a regression from the fix for XSA-46
      * bug fixes to low level system state handling, including certain
        hardware errata workarounds
  * Purged unused patches from debian/patches:
    - xen-backport-per-device-vector-map.patch
    - xen-introduce-xzalloc.patch

 -- Stefan Bader <stefan.bader@canonical.com>  Fri, 14 Mar 2014 13:55:27 +0100

xen (4.1.5-0ubuntu0.12.04.3) precise-security; urgency=low

  * Applying Xen Security Advisories:
    - CVE-2014-1892, CVE-2014-1893 / XSA-84
      * flask: restrict allocations done by hypercall interface
    - CVE-2014-1666 / XSA-87
      * x86: PHYSDEVOP_{prepare,release}_msix are privileged
    - CVE-2014-1950 / XSA-88
      * libxc: Fix out-of-memory error handling in xc_cpupool_getinfo()

 -- Stefan Bader <stefan.bader@canonical.com>  Mon, 17 Feb 2014 16:33:25 +0100

xen (4.1.5-0ubuntu0.12.04.2) precise-security; urgency=low

  * Applying Xen Security Advisories:
    - CVE-2013-1432 / XSA-58
      * Page reference counting error due to XSA-45/CVE-2013-1918 fixes
    - CVE-2013-4329 / XSA-61
      * libxl partially sets up HVM passthrough even with disabled iommu
    - CVE-2013-1442 / XSA-62
      * Information leak on AVX and/or LWP capable CPUs
    - CVE-2013-4355 / XSA-63
    - CVE-2013-4361 / XSA-66
      Information leak through fbld instruction emulation
    - CVE-2013-4368 / XSA-67
      * Information leak through outs instruction emulation
    - CVE-2013-4370 / XSA-69
      * misplaced free in ocaml xc_vcpu_getaffinity stub
    - CVE-2013-4416 / XSA-72
      * ocaml xenstored mishandles oversized message replies
    - CVE-2013-4494 / XSA-73
      * Lock order reversal between page allocation and grant table locks
    - CVE-2013-4553 / XSA-74
      * Lock order reversal between page_alloc_lock and mm_rwlock
    - CVE-2013-4554 / XSA-76
      * Hypercalls exposed to privilege rings 1 and 2 of HVM guests
    - CVE-2013-6885 / XSA-82
      * Guest triggerable AMD CPU erratum may cause host hang

 -- Stefan Bader <stefan.bader@canonical.com>  Mon, 09 Dec 2013 19:32:56 +0100

xen (4.1.5-0ubuntu0.12.04.1) precise-proposed; urgency=low

  * Updating to lastest upstream stable release (LP: #1180396).
  * Update to upstream 4.1.5:
    - Replacing the following security changes by upstream versions:
      * CVE-2012-5634 / XSA-33, CVE-2013-0153 / XSA-36,
        CVE-2013-0215 / XSA-38, CVE-2012-6075 / XSA-41,
        CVE-2013-1917 / XSA-44, CVE-2013-1919 / XSA-46,
        CVE-2013-1920 / XSA-47, CVE-2013-1964 / XSA-50
    - Bug fixes:
      * ACPI APEI/ERST finally working on production systems
      * Bug fixes for other low level system state handling
      * Support for xz compressed Dom0 and DomU kernels
  * Update to upstream 4.1.4:
    - Replacing the following security changes by upstream versions:
      * CVE-2012-3494 / XSA-12, CVE-2012-3495 / XSA-13,
        CVE-2012-3496 / XSA-14, CVE-2012-3498 / XSA-16,
        CVE-2012-3515 / XSA-17, CVE-2012-4411 / XSA-19,
        CVE-2012-4535 / XSA-20, CVE-2012-4536 / XSA-21,
        CVE-2012-4537 / XSA-22, CVE-2012-4538 / XSA-23,
        CVE-2012-4539 / XSA-24, CVE-2012-4544 / XSA-25,
        CVE-2012-2625 / XSA-25, CVE-2012-5510 / XSA-26,
        CVE-2012-5511 / XSA-27, CVE-2012-5512 / XSA-28,
        CVE-2012-5513 / XSA-29, CVE-2012-5514 / XSA-30,
        CVE-2012-5515 / XSA-31
    - Bug fixes:
      * A fix for a long standing time management issue
      * Bug fixes for S3 (suspend to RAM) handling
      * Bug fixes for other low level system state handling
  * Update to upstream 4.1.3:


=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: xen
 Section: kernel
 Priority: optional
-Maintainer: Debian Xen Team <pkg-xen-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Xen Team <pkg-xen-devel@lists.alioth.debian.org>
 Uploaders: Guido Trotter <ultrotter@debian.org>, Bastian Blank <waldi@debian.org>
 Standards-Version: 3.9.2
-Build-Depends: debhelper (>> 7), dpkg-dev (>= 1.16.0~), lsb-release, python-dev, bcc, gcc-multilib, e2fslibs-dev, iasl, ipxe-qemu, libaio-dev, libgnutls-dev, liblzma-dev, libncurses5-dev, libpci-dev, pkg-config, uuid-dev, zlib1g-dev, ocaml-nox, dh-ocaml, ocaml-findlib
+Build-Depends: debhelper (>> 7), lsb-release, python-dev, bcc, gcc-multilib, e2fslibs-dev, iasl, ipxe, libaio-dev, libgnutls-dev, liblzma-dev, libncurses5-dev, libpci-dev, pkg-config, uuid-dev, zlib1g-dev, ocaml-nox, dh-ocaml, ocaml-findlib
 Build-Depends-Indep: graphviz, ghostscript, texlive-fonts-recommended, texlive-font-utils, texlive-latex-recommended
 XS-Python-Version: current
 
@@ -28,6 +29,8 @@
 Architecture: amd64 i386
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Replaces: libxen3 (<= 3.3.0-1ubuntu12)
+Conflicts: libxen3 (<= 3.3.0-1ubuntu12)
 Description: Xenstore communications library for Xen
  This package contains the public libxenstore.
 
@@ -35,6 +38,8 @@
 Architecture: amd64 i386
 Section: libdevel
 Depends: libxen-4.1 (= ${binary:Version}), libxenstore3.0 (= ${binary:Version}), ${misc:Depends}
+Replaces: libxen3-dev (<= 3.3.0-1ubuntu12)
+Conflicts: libxen3-dev (<= 3.3.0-1ubuntu12)
 Description: Public headers and libs for Xen
  This package contains the public headers and static libraries for Xen.
 
@@ -42,8 +47,8 @@
 Architecture: amd64 i386
 Section: admin
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Replaces: xen-utils-common (<= 3.1.0-1)
-Conflicts: xen-utils-common (<= 3.1.0-1)
+Replaces: xen-utils-common (<= 3.1.0-1), libxen3 (<= 3.3.0-1ubuntu12)
+Conflicts: xen-utils-common (<= 3.1.0-1), libxen3 (<= 3.3.0-1ubuntu12)
 Description: Xenstore utilities for Xen
  This package contains the Xenstore utilities.
 
@@ -65,23 +70,17 @@
  This package contains the ocaml findlib packages for compiling
  applications that are designed to control the Xen hypervisor.
 
-Package: xen-utils-common
-Architecture: all
-Depends: gawk, lsb-base, python, udev, xenstore-utils, ${misc:Depends}
-Description: Xen administrative tools - common files
- The userspace tools to manage a system virtualized through the Xen virtual
- machine monitor.
-
 Package: xen-utils-4.1
 Architecture: amd64 i386
 Provides: xen-utils
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, xen-utils-common (>= ${source:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, xen-utils-common (>= 3.4.2-4)
 Recommends: bridge-utils, libc6-xen [i386], xen-hypervisor-4.1, qemu-keymaps, qemu-utils
 Suggests: xen-docs-4.1
+Replaces: xen-utils-3.3 (<= 3.3.0-1ubuntu12), libxen3 (<= 3.3.0-1ubuntu12), python-xen-3.3 (<= 3.3.0-1ubuntu12)
+Conflicts: xen-utils-3.3 (<= 3.3.0-1ubuntu12), libxen3 (<= 3.3.0-1ubuntu12), python-xen-3.3 (<= 3.3.0-1ubuntu12)
 Description: XEN administrative tools
  The userspace tools to manage a system virtualized through the XEN virtual
  machine monitor.
-Built-Using: ${misc:Built-Using}
 
 Package: xen-hypervisor-4.1-amd64
 Architecture: amd64 i386
@@ -98,14 +97,6 @@
  kernel specifically crafted to work as the Domain 0, mediating hardware
  access for XEN itself.
 
-Package: xen-system-amd64
-Architecture: amd64 i386
-Provides: xen-system
-Depends: xen-hypervisor-4.1-amd64, xen-utils-4.1, ${misc:Depends}
-Description: Xen System on AMD64 (meta-package)
- This package depends on the latest Xen hypervisor for use on AMD64 and the
- Xen utils.
-
 Package: xen-hypervisor-4.1-i386
 Architecture: i386
 Provides: xen-hypervisor, xen-hypervisor-4.1, xen-hypervisor-i386
@@ -121,11 +112,3 @@
  kernel specifically crafted to work as the Domain 0, mediating hardware
  access for XEN itself.
 
-Package: xen-system-i386
-Architecture: i386
-Provides: xen-system
-Depends: xen-hypervisor-4.1-i386, xen-utils-4.1, ${misc:Depends}
-Description: Xen System on i386 (meta-package)
- This package depends on the latest Xen hypervisor for use on i386 and the
- Xen utils.
-
